{
	"languageserver": {
		"terraform": {
			"command": "terraform-lsp",
			"filetypes": [
				"terraform"
			]
		},
		"R": {
			"command": "R",
			"args": [
				"--slave",
				"-e",
				"languageserver::run()"
			],
			"filetypes": [
				"r"
			]
		},
		"bash": {
			"command": "bash-language-server",
			"args": [
				"start"
			],
			"filetypes": [
				"sh"
			],
			"ignoredRootPaths": [
				"~"
			]
		},
		"ruff-lsp": {
			"command": [
				"ruff-lsp"
			],
			"filetypes": [
				"python"
			]
		}
	},
	"pyright.enable": true,
	"pyright.inlayHints.functionReturnTypes": true,
	"pyright.inlayHints.variableTypes": true,
	"pyright.organizeimports.provider": "ruff",
	"pyright.testing.provider": "pytest",
	"python.formatting.provider": "ruff",
	"python.linting.ruffEnabled": true,
	"clangd.path": "~/.config/coc/extensions/coc-clangd-data/install/17.0.3/clangd_17.0.3/bin/clangd"
}
